USE ads
GO
CREATE VIEW dbo.vw_covid_data AS
SELECT
    t.*
FROM
    OPENROWSET(
        BULK 'https://<storage_account_name_here>.dfs.core.windows.net/globaldata/Daily/*',
        FORMAT = 'CSV',
        FIELDQUOTE = '0x0b',
        FIELDTERMINATOR ='0x0b',
        ROWTERMINATOR = '0x0b'
    )
    WITH (jsonContent varchar(MAX)) AS j
    CROSS APPLY OPENJSON (jsonContent) with (
        [date] datetime2,
        total_cases int,
        new_cases int,
        total_deaths int,
        new_deaths int,
        total_cases_per_million decimal(13, 5),
        new_cases_per_million decimal(13, 5),
        total_deaths_per_million decimal(13, 5),
        new_deaths_per_million decimal(13, 5),
        stringency_index decimal(13, 5),
        new_cases_smoothed decimal(13, 5),
        new_deaths_smoothed decimal(13, 5),
        new_cases_smoothed_per_million decimal(13, 5),
        Code nvarchar(10),
        Country nchar(3)) as t
